Updates a accesspoint. bssid, tenant and accesspoint fields to update are required.

PUT /users/accesspoints/{bssid}

Operation id: AccesspointService_UpdateAccesspoint

Description

Permission Level: Read-Write

Tags: AccesspointService

Parameters

Path parameters

NameTypeRequiredDescription
bssidstringYesUnique ID of the accesspoint to update, Required: true

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
siteIdstringNo
accesspointobjectNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "siteId": {
      "type": "string"
    },
    "accesspoint": {
      "type": "object",
      "properties": {
        "assetName": {
          "type": "string"
        },
        "displayName": {
          "type": "string"
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
siteIdstringNo
bssidstringNo
assetNamestringNo
displayNamestringNo
batchIdstringNoID of the batch if the Accesspoint was loaded in the system via templated bulk import. Randomly generated UUID string.
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    },
    "siteId": {
      "type": "string"
    },
    "bssid": {
      "type": "string"
    },
    "assetName": {
      "type": "string"
    },
    "displayName": {
      "type": "string"
    },
    "batchId": {
      "type": "string",
      "description": "ID of the batch if the Accesspoint was loaded in the system via templated bulk import. Randomly generated UUID string."
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}